.faq-block {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.faq-block__item {
  background: var(--wp--preset--color--light);
  border-radius: 12px;
  box-shadow: 0 0px 8px rgba(11, 31, 53, 0.3);
  padding: 20px 24px;
  cursor: pointer;
}
.faq-block__item::marker,
.faq-block__item summary::marker,
.faq-block__item summary::-webkit-details-marker {
  display: none;
  content: "";
}

.faq-block__question {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 16px;
  font-weight: 600;
  font-size: var(--wp--preset--font-size--normal);
  color: var(--wp--preset--color--primary);
  list-style: none;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}
.faq-block__question::after {
  content: "";
  display: block;
  width: 22px;
  height: 22px;
  flex-shrink: 0;
  background-color: var(--wp--preset--color--primary);
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M20.7193 11.0002L20.72 11.6403L11.6401 11.6397V20.7202L11 20.7195L10.3599 20.7202L10.3592 11.6403L1.28073 11.641V10.3594L10.3592 10.3587V1.28095H11.6408V10.3587L20.72 10.3601L20.7193 11.0002Z' fill='%230B1F35'/%3E%3C/svg%3E");
          mask-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M20.7193 11.0002L20.72 11.6403L11.6401 11.6397V20.7202L11 20.7195L10.3599 20.7202L10.3592 11.6403L1.28073 11.641V10.3594L10.3592 10.3587V1.28095H11.6408V10.3587L20.72 10.3601L20.7193 11.0002Z' fill='%230B1F35'/%3E%3C/svg%3E");
  -webkit-mask-size: contain;
          mask-size: contain;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-position: center;
          mask-position: center;
}
details[open] > .faq-block__question::after {
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='1' y='10.3594' width='20' height='1.28125' fill='%230B1F35'/%3E%3C/svg%3E");
          mask-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='1' y='10.3594' width='20' height='1.28125' fill='%230B1F35'/%3E%3C/svg%3E");
}

.faq-block__answer {
  margin-top: 16px;
  color: var(--wp--preset--color--primary);
  font-size: var(--wp--preset--font-size--small);
  line-height: 1.6;
}
.faq-block__answer p:last-child {
  margin-bottom: 0;
}